## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ArenaBlock::DeleteFunctor Template Struct Reference

`#include <ArenaBlock.hpp>`

Collaboration diagram for ArenaBlock::DeleteFunctor:

List of all members.

## Public Methods

- DeleteFunctor ( const ArenaBlock<ObjectType>& theArenaBlock, const DestroyFunctionType& theDestroyFunction)
- void operator() (ObjectType& theObject) const

## Constructor & Destructor Documentation

ArenaBlock::DeleteFunctor::DeleteFunctor ( | const ArenaBlock< ObjectType >& theArenaBlock,
| const DestroyFunctionType & theDestroyFunction )

## Member Function Documentation

void ArenaBlock::DeleteFunctor::operator() ( | ObjectType & theObject ) const`[]`

The documentation for this struct was generated from the following file:

- ArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.